Commit Diff


commit - 91b1d45698931d7c9d8a54f08430888b237f4b51
commit + 36967ea86e8738716661e52fa6d63b7a91698e90
blob - e28ef4b462c922a18dc79fbf51e8e0ee0c2dded3
blob + 7edb5fbb0f79762a8be9b626fcc9eb2c407c4c7a
--- util/got-build-regress.sh
+++ util/got-build-regress.sh
@@ -103,6 +103,12 @@ if [ "$build_status" -ne 0 ]; then
 	mail $fromaddr_arg -s "$prog build failure" $recipients < build.log
 	exit 0
 fi
+log_cmd build.log make -j $ncpu server
+build_status="$?"
+if [ "$build_status" -ne 0 ]; then
+	mail $fromaddr_arg -s "$prog build failure" $recipients < build.log
+	exit 0
+fi
 
 printf "\n\n\tRunning tests\n\n" >> build.log
 log_cmd regress.log env PATH=$HOME/bin:$PATH make regress GOT_TEST_ROOT="$testroot"
@@ -148,6 +154,7 @@ log_cmd build.log make clean
 log_cmd build.log make obj
 log_cmd build.log make -j $ncpu GOT_RELEASE=Yes
 log_cmd build.log make -j $ncpu GOT_RELEASE=Yes webd
+log_cmd build.log make -j $ncpu GOT_RELEASE=Yes server
 build_status="$?"
 if [ "$build_status" -ne 0 ]; then
 	mail $fromaddr_arg -s "$prog release mode build failure" $recipients < build.log